# EdgeRSU 센싱이력 (제공)

## 1. EdgeRSU 센싱정보 이력 조회 API (GetEdgeRSUSensingList)

### 요청 URL

```url
https://service.mqnicrnd5.com/api/v1/ers/offer/gesl
```

### 연계 주기

요청 시

### 프로토콜

HTTPS

### HTTP 메서드

GET

### 데이터 포맷

{% file src="/files/z177IK5RtYTTT6iM7NOv" %}

### 참고사항

API를 요청할 때 다음 예와 같이 HTTP 요청 헤더에 접근 토큰(Access Token) 을 추가해야 합니다. <mark style="color:purple;">**접근 토큰 앞에 "Bearer " 문자열을 추가해야 한다는 점에 주의하세요.**</mark>

```
> GET /api/v1/ers/offer/gesl?spatialUnitType=MAPNODE&spatialUnitID=2720002800&timestampMin=1723086000&senarioNames=주간,비 HTTP/2
> Host: service.mqnicrnd5.com
> User-Agent: curl/7.64.1
> Accept: */*
> Authorization: Bearer <접근 토큰>
```

### 요청 예시

```bash
curl --location 'https://service.mqnicrnd5.com/api/v1/ers/offer/gesl?spatialUnitType=MAPNODE&spatialUnitID=2720002800&timestampMin=1723086000&senarioNames=%EC%A3%BC%EA%B0%84%2C%EB%B9%84' \
--header 'Authorization: Bearer <접근 토큰>'
```

### 응답 예시&#x20;

```json
{
    "edgeRsuSensingList": [
        {
            "edgeRsuId": "RSU00001",
            "timestamp": 1723086000,
            "senarioNames": [
                "주간",
                "비"
            ],
            "numFrames": 12,
            "basePath": "RSU00001/20240808120000_20240808125959/archive.zip"
        },
        {
            "edgeRsuId": "RSU00001",
            "timestamp": 1723089600,
            "senarioNames": [
                "주간",
                "맑음"
            ],
            "numFrames": 12,
            "basePath": "RSU00001/20240808130000_20240808135959/archive.zip"
        },
        {
            "edgeRsuId": "RSU00001",
            "timestamp": 1723093200,
            "senarioNames": [
                "주간",
                "맑음"
            ],
            "numFrames": 12,
            "basePath": "RSU00001/20240808140000_20240808145959/archive.zip"
        }
    ]
}
```

## 2. EdgeRSU 센싱데이터 압축파일 제공 API (GetSensingData)

### 요청 URL

```url
https://service.mqnicrnd5.com/api/v1/ers/offer/gsd
```

### 연계 주기

요청 시

### 프로토콜

HTTPS

### HTTP 메서드

GET

### 데이터 포맷

{% file src="/files/QxatEYLwvnEFl7eH05YH" %}

### 참고사항

API를 요청할 때 다음 예와 같이 HTTP 요청 헤더에 접근 토큰(Access Token) 을 추가해야 합니다. <mark style="color:purple;">**접근 토큰 앞에 "Bearer " 문자열을 추가해야 한다는 점에 주의하세요.**</mark>

```
> GET /api/v1/ers/offer/gsd?filePath=RSU00001/20240808140000_20240808145959/archive.zip HTTP/2
> Host: service.mqnicrnd5.com
> User-Agent: curl/7.64.1
> Accept: */*
> Authorization: Bearer <접근 토큰>
```

### 요청 예시

* <mark style="color:green;">**filePath 파라미터에 1번 API 응답으로 받은 basePath를 입력합니다.**</mark>

```bash
curl --location 'https://service.mqnicrnd5.com/api/v1/ers/offer/gsd?filePath=RSU00001%2F20240808140000_20240808145959%2Farchive.zip' \
--header 'Authorization: Bearer <접근 토큰>'
```

### 응답 예시&#x20;

{% file src="/files/5PgRSBe6kOXQirB2zLID" %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.mqnicrnd5.com/guide/rest-api/edgersu-sensing-offer.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
